Bug 540768 - DHCP Server crashes when using LTSP on a separate server
DHCP Server crashes when using LTSP on a separate server
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: dhcp (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Jiri Popelka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-23 22:30 EST by Dino Gambone
Modified: 2009-12-18 04:46 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:46:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
dhcpd.conf file (985 bytes, application/octet-stream)
2009-11-24 11:28 EST, Dino Gambone
no flags Details

  None (edit)
Description Dino Gambone 2009-11-23 22:30:18 EST
Description of problem:
I have a Fedora 10 server that acts as a DHCP server.  Another server has been set up with LTSP (Ubuntu version).  When the thin-client goes to boot, it correctly gets a IP from the DHCP server, gets the thin-client image from the LTSP server.  However, at that point the DHCP server crashes with this error:
Nov 23 22:09:53 jupiter dhcpd: Internet Systems Consortium DHCP Server 4.0.0
Nov 23 22:09:53 jupiter dhcpd: Copyright 2004-2007 Internet Systems Consortium.
Nov 23 22:09:53 jupiter dhcpd: All rights reserved.
Nov 23 22:09:53 jupiter dhcpd: For info, please visit http://www.isc.org/sw/dhcp/
Nov 23 22:09:53 jupiter dhcpd: Wrote 10 leases to leases file.
Nov 23 22:09:53 jupiter dhcpd: Listening on LPF/eth0/00:e0:81:2a:c8:ba/192.168.190.0/24
Nov 23 22:09:53 jupiter dhcpd: Sending on   LPF/eth0/00:e0:81:2a:c8:ba/192.168.190.0/24
Nov 23 22:09:53 jupiter dhcpd: Sending on   Socket/fallback/fallback-net
Nov 23 22:09:53 jupiter dhcpd: Impossible condition at hash.c:52.
Nov 23 22:09:53 jupiter dhcpd:
Nov 23 22:09:53 jupiter dhcpd: This version of ISC DHCP is based on the release available
Nov 23 22:09:53 jupiter dhcpd: on ftp.isc.org.  Features have been added and other changes
Nov 23 22:09:53 jupiter dhcpd: have been made to the base software release in order to make
Nov 23 22:09:53 jupiter dhcpd: it work better with this distribution.
Nov 23 22:09:53 jupiter dhcpd:
Nov 23 22:09:53 jupiter dhcpd: Please report for this software via the Red Hat Bugzilla site:
Nov 23 22:09:53 jupiter dhcpd:     http://bugzilla.redhat.com
Nov 23 22:09:53 jupiter dhcpd:
Nov 23 22:09:53 jupiter dhcpd: exiting.



Version-Release number of selected component (if applicable):


How reproducible:
Consistently

Steps to Reproduce:
1. 
2. 
3.
  
Actual results:
Booted Thin-Client OS does not get an IP because the DHCP daemon has crashed

Expected results:
Thin-Client OS should receive an IP

Additional info:
Comment 1 Jiri Popelka 2009-11-24 10:22:57 EST
In the description you write that: "When the thin-client goes to boot, it
correctly gets a IP from the DHCP server" and later on in results there you say that the client does not get an IP. So does or doesn't ?

Can you also attach your dhcpd.conf and dhclient.conf ? (you can mark them Private if you want)
Comment 2 Dino Gambone 2009-11-24 11:26:50 EST
I'm sorry, I incorrectly stated the first part.  What it should have said was:

"When the thin-client goes to boot, it correctly gets an image from the LTSP Server".  So the DHCP Server is working properly is getting the PXE request for the image and sending it the correct image from the LTSP Server.  However, when the thin-client is loading up and looking for an IP address, that's when it crashes the DHCP server.

I'm attaching the dhcp.config file from the DHCP Server.  There is no dhclient.config file on that server.
Comment 3 Dino Gambone 2009-11-24 11:28:37 EST
Created attachment 373480 [details]
dhcpd.conf file
Comment 4 Bug Zapper 2009-12-18 04:46:41 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.